Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.mediaplayer.Constants.MediaPlayerReason Enum Reference

Reasons for the changes in the media player status. More...

## Static Public Member Functions
static int | getValue (MediaPlayerReason type)
static MediaPlayerReason | fromNativeIndex (int nativeIndex)
static MediaPlayerReason | getErrorByValue (int value)

## Public Attributes
| PLAYER_REASON_NONE =(0)
| PLAYER_REASON_INVALID_ARGUMENTS =(-1)
| PLAYER_REASON_INTERNAL =(-2)
| PLAYER_REASON_NO_RESOURCE =(-3)
| PLAYER_REASON_INVALID_MEDIA_SOURCE =(-4)
| PLAYER_REASON_UNKNOWN_STREAM_TYPE =(-5)
| PLAYER_REASON_OBJ_NOT_INITIALIZED =(-6)
| PLAYER_REASON_CODEC_NOT_SUPPORTED =(-7)
| PLAYER_REASON_VIDEO_RENDER_FAILED =(-8)
| PLAYER_REASON_INVALID_STATE =(-9)
| PLAYER_REASON_URL_NOT_FOUND =(-10)
| PLAYER_REASON_INVALID_CONNECTION_STATE =(-11)
| PLAY_REASON_SRC_BUFFER_UNDERFLOW =(-12)
| PLAYER_REASON_INTERRUPTED =(-13)
| PLAYER_REASON_NOT_SUPPORTED =(-14)
| PLAYER_REASON_TOKEN_EXPIRED =(-15)
| PLAYER_REASON_IP_EXPIRED =(-16)
| PLAYER_REASON_UNKNOWN =(-17)

## Detailed Description

Reasons for the changes in the media player status.

## Member Data Documentation

## ◆ PLAYER_REASON_NONE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NONE =(0)

0: No error.

## ◆ PLAYER_REASON_INVALID_ARGUMENTS

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_ARGUMENTS =(-1)

-1: Invalid arguments.

## ◆ PLAYER_REASON_INTERNAL

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INTERNAL =(-2)

-2: Internal error.

## ◆ PLAYER_REASON_NO_RESOURCE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NO_RESOURCE =(-3)

-3: No resource.

## ◆ PLAYER_REASON_INVALID_MEDIA_SOURCE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_MEDIA_SOURCE =(-4)

-4: Invalid media resource.

## ◆ PLAYER_REASON_UNKNOWN_STREAM_TYPE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_UNKNOWN_STREAM_TYPE =(-5)

-5: The media stream type is unknown.

## ◆ PLAYER_REASON_OBJ_NOT_INITIALIZED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_OBJ_NOT_INITIALIZED =(-6)

-6: The object is not initialized.

## ◆ PLAYER_REASON_CODEC_NOT_SUPPORTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_CODEC_NOT_SUPPORTED =(-7)

-7: The codec is not supported.

## ◆ PLAYER_REASON_VIDEO_RENDER_FAILED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_VIDEO_RENDER_FAILED =(-8)

-8: Invalid renderer.

## ◆ PLAYER_REASON_INVALID_STATE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_STATE =(-9)

-9: An error with the internal state of the player occurs.

## ◆ PLAYER_REASON_URL_NOT_FOUND

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_URL_NOT_FOUND =(-10)

-10: The URL of the media resource cannot be found.

## ◆ PLAYER_REASON_INVALID_CONNECTION_STATE

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INVALID_CONNECTION_STATE =(-11)

-11: Invalid connection between the player and the Agora Server.

## ◆ PLAY_REASON_SRC_BUFFER_UNDERFLOW

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAY_REASON_SRC_BUFFER_UNDERFLOW =(-12)

-12: The playback buffer is insufficient.

## ◆ PLAYER_REASON_INTERRUPTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_INTERRUPTED =(-13)

-13: The playback is interrupted.

## ◆ PLAYER_REASON_NOT_SUPPORTED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_NOT_SUPPORTED =(-14)

-14: The SDK does not support the method being called.

## ◆ PLAYER_REASON_TOKEN_EXPIRED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_TOKEN_EXPIRED =(-15)

-15: The authentication information of the media resource is expired.

## ◆ PLAYER_REASON_IP_EXPIRED

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_IP_EXPIRED =(-16)

ip expired

## ◆ PLAYER_REASON_UNKNOWN

io.agora.mediaplayer.Constants.MediaPlayerReason.PLAYER_REASON_UNKNOWN =(-17)

-17: An unknown error.